package com.mortals.xhx.module.matter.service.impl;

import com.mortals.framework.model.Context;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.xhx.module.matter.dao.MatterChargesDao;
import com.mortals.xhx.module.matter.model.MatterChargesEntity;
import com.mortals.xhx.module.matter.service.MatterChargesService;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.Map;

/**
* MatterChargesService
* 事项收费标准 service实现
*
* @author zxfei
* @date 2022-01-12
*/
@Service("matterChargesService")
public class MatterChargesServiceImpl extends AbstractCRUDServiceImpl<MatterChargesDao, MatterChargesEntity, Long> implements MatterChargesService {


    @Override
    public void deleteByMatterId(Long matterId, Context context) {
        Map<String, Object> condition = new HashMap<>();
        condition.put("matterId", matterId);
        this.dao.delete(condition);
    }
}