package com.mortals.xhx.module.site.model.vo;

import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.site.model.SiteEntity;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * 站点视图对象
 *
 * @author zxfei
 * @date 2022-01-12
 */
@Data
public class SiteVo extends BaseEntityLong {

    private List<Long> idList;

    private String logoFullPath;


    private Integer areaLevel;

    private List<Integer> areaLevelList;

    private Integer total = 0;

    private List<SiteEntity> subList = new ArrayList<>();

    private List<String> modelData;


    private Long copySiteId;

    private Long targetSiteId;

}